org.gradle.api.plugins

## Interface ExtensionsSchema.ExtensionSchema

- All Superinterfaces:
    NamedDomainObjectCollectionSchema.NamedDomainObjectSchema
  Enclosing interface:
    ExtensionsSchema

      @Incubating
      public static interface ExtensionsSchema.ExtensionSchema
      extends NamedDomainObjectCollectionSchema.NamedDomainObjectSchema

  Schema of an extension.
  Since:
    4.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The name of the extension.
    `TypeOf<?>` | `getPublicType()` The public type of the extension.
    `boolean` | `isDeferredConfigurable()` Deprecated. without replacement.

- - ### Method Detail

    - #### getName

          String getName()

      The name of the extension.
      Specified by:
        `getName` in interface `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`
      Returns:
        the name of the extension

    - #### getPublicType

          TypeOf<?> getPublicType()

      The public type of the extension.
      Specified by:
        `getPublicType` in interface `NamedDomainObjectCollectionSchema.NamedDomainObjectSchema`
      Returns:
        the public type of the extension

    - #### isDeferredConfigurable

          boolean isDeferredConfigurable()

      Deprecated. without replacement.
      Is the extension a deferred configurable.
      Returns:
        `true` if the extension is a deferred configurable, `false` otherwise
      See Also:
        `DeferredConfigurable`